local N, T = ...

T.Class_Macro.DEMONHUNTER = function(player)
    return {
        -- 邪能冲撞=地狱火撞击
        ["跑"] = "#showtooltip\n/cast [nocombat,outdoors] !铁箍鬼灵战马;邪能冲撞\n",
        ["滑翔"] = "/dismount\n/cast !滑翔\n",
        ["变形"] = "#showtooltip\n/cast [@player] 恶魔变形\n",
        ["浩劫"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nochanneling] reset=6,combat 投掷利刃,刃舞\n",
        ["刃舞"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nochanneling] 刃舞\n/use [combat,nochanneling] 13\n/use [combat,nochanneling] 14\n/use [combat,nochanneling] 审判官的邪恶之眼\n",
        ["混打"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nochanneling] 混乱打击\n",
        ["眼棱"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nochanneling] 眼棱\n",
        ["利刃"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nochanneling] 投掷利刃\n/cast [mod] 折磨\n",
        -- 恶魔之咬=裂魂=破裂
        ["咬"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nochanneling] 恶魔之咬\n/cast [mod] 折磨\n/cast [combat] 恶魔尖刺\n/cast [@player,combat] 地狱火撞击\n/use [combat] 13\n/use [combat] 14\n/use [combat] 审判官的邪恶之眼\n/use [combat] 庆典烟火\n",
        ["复仇"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [talent:4/3] reset=12 破裂,献祭光环,破裂,破裂;reset=6 裂魂,裂魂,裂魂,献祭光环,裂魂,裂魂,裂魂\n/cast [@player,combat] 地狱火撞击\n/cast [combat] 恶魔尖刺\n/cast [mod] 折磨\n",
        ["复防"] = "#showtooltip\n/castsequence [talent:6/3,talent:7/3] reset=30 灵魂壁障,邪能毁灭,灵魂壁障;幽魂炸弹\n",
        ["烈焰"] = "#showtooltip\n/cast [@player,nochanneling] 烈焰咒符\n"
    }
end

T.Class_Bar.DEMONHUNTER = function(player)
    return {
        -- 浩劫
        {
            [1] = {"spell", "献祭光环"},
            [2] = {"macro", "刃舞"},
            [3] = {"macro", "混打"},
            [4] = {"spell", "瓦解"},
            [5] = player.dash_or_mount,
            [6] = {"spell", "邪能冲撞"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = nil,
            [12] = nil,
            -- 左下动作条
            [61] = {"macro", "眼棱"},
            [62] = {"macro", "利刃"},
            [63] = {"spell", "混乱新星"},
            [64] = {"macro", "滑翔"},
            [65] = {"spell", "疾影"},
            [66] = {"spell", "黑暗"},
            [67] = {"macro", "变形"},
            [68] = nil,
            [69] = nil,
            [70] = nil,
            [71] = {"spell", "幽灵视觉"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 复仇
        {
            [1] = {"spell", "献祭光环"},
            [2] = {"macro", "咬"},
            [3] = {"macro", "混打"},
            [4] = {"spell", "瓦解"},
            [5] = player.dash_or_mount,
            [6] = {"spell", "地狱火撞击"},
            [7] = nil,
            [8] = nil,
            [9] = {"macro", "烈焰"},
            [10] = {"spell", "沉默咒符"},
            [11] = {"spell", "悲苦咒符"},
            [12] = {"spell", "锁链咒符"},
            -- 左下动作条
            [61] = {"spell", "邪能毁灭"},
            [62] = {"macro", "利刃"},
            [63] = {"spell", "禁锢"},
            [64] = {"macro", "滑翔"},
            [65] = {"spell", "烈火烙印"},
            [66] = {"macro", "变形"},
            [67] = nil,
            [68] = nil,
            [69] = nil,
            [70] = nil,
            [71] = {"spell", "幽灵视觉"},
            [72] = {"spell", player.racial_active_abilitiy}
        }
    }
end
