local N, T = ...

T.Class_Macro.MAGE = function(player)
    return {
        ["跑"] = "#showtooltip\n/stopcasting\n/stopcasting\n/stopattack\n/petfollow\n/cast [nocombat,outdoors,@player] 奥术智慧\n/use [nocombat,outdoors] !大法师的棱光飞碟;闪现术\n",
        ["缓落"] = "#showtooltip\n/cast [@player] 缓落术\n",
        -- ["净化"] = "#showtooltip\n/cast [harm] 法术吸取\n/cast 解除诅咒\n",
        ["盾"] = "#showtooltip\n/cast [spec:1] 棱光护体\n/cast [spec:2] 烈焰护体\n/cast [spec:3] 寒冰护体\n/use 改装的邪能焦镜\n/use 奥拉留斯的低语水晶\n",
        ["魔爆"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 魔爆术\n/use [combat] 13\n/use [combat] 14\n",
        ["奥术"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nochanneling] reset=combat,6,target 奥术飞弹,奥术弹幕\n",
        ["飞弹"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nochanneling] 奥术飞弹\n",
        ["弹幕"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 奥术弹幕\n",
        ["智慧"] = "#showtooltip\n/cast [@player] 奥术智慧\n",
        ["冰枪"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 冰枪术\n",
        ["冰箭"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 寒冰箭\n",
        ["法力"] = "#showtooltip\n/use 法力宝石\n/cast 制造法力宝石\n",
        ["面包"] = "#showtooltip\n/use 魔法布朗尼蛋糕\n/cast 造餐术\n"
    }
end

T.Class_Bar.MAGE = function(player)
    return {
        -- 奥术
        {
            [1] = {"macro", "魔爆"},
            [2] = {"macro", "奥术"},
            [3] = {"macro", "弹幕"},
            [4] = {"spell", "法术反制"},
            [5] = player.dash_or_mount,
            [6] = {"spell", "冰霜新星"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = {"spell", "造餐术"},
            [11] = {"spell", "唤醒"},
            [12] = {"macro", "智慧"},
            -- 左下动作条
            [61] = {"macro", "盾"},
            [62] = {"spell", "大法师之触"},
            [63] = {"spell", "变形术"},
            [64] = nil,
            [65] = {"spell", "寒冰屏障"},
            [66] = {"spell", "镜像"},
            [67] = {"spell", "奥术强化"},
            [68] = {"spell", "时间扭曲"},
            [69] = nil,
            [70] = nil,
            [71] = {"spell", "强化隐形术"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 火焰
        {},
        -- 冰霜
        {
            [2] = {"macro", "冰枪"},
            [5] = player.dash_or_mount
        }
    }
end
