local N, T = ...

T.Class_Macro.MONK = function(player)
    return {
        ["跑"] = "#showtooltip\n/use [nocombat,outdoors] !班禄，大宗师的伙伴;滚地翻\n",
        ["火焰"] = "#showtooltip\n/cast 火焰之息\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["酒仙"] = (function()
            if player.level < 21 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nochanneling] reset=4 幻灭踢,神鹤引项踢,神鹤引项踢\n/cast [mod] 嚎镇八方\n/cast [combat] 活血酒\n/use [combat] 13\n/use [combat] 14\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nochanneling] reset=4 幻灭踢,醉酿投,神鹤引项踢,幻灭踢,神鹤引项踢,醉酿投,幻灭踢,神鹤引项踢\n/cast [mod] 嚎镇八方\n/cast [combat] 活血酒\n/cast [combat] 醉上加醉\n/use [combat] 13\n/use [combat] 14\n"
            end
        end)(),
        -- ["酒仙"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nochanneling] reset=4 神鹤引项踢,醉酿投,神鹤引项踢,幻灭踢\n/cast [combat] 碧玉疾风\n/cast [mod] 嚎镇八方\n/cast [combat] 活血酒\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["天神"] = "#showtooltip\n/cast 天神酒\n/cast [combat] 金创药\n/use [combat] 2\n",
        ["切喉"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 切喉手\n",
        ["禅意"] = "#showtooltip\n/dismount\n/cast !禅意飞行\n",
        ["神鹤"] = "#showtooltip\n/cast [nochanneling:神鹤引项踢] 神鹤引项踢\n",
        ["织雾"] = "#showtooltip\n/cast [nochanneling:抚慰之雾] 抚慰之雾\n/castsequence [channeling:抚慰之雾] reset=combat,12 氤氲之雾,活血术\n",
        ["旭日"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 旭日东升踢\n",
        ["移花"] = "#showtooltip\n/cast [@player] 移花接木\n/cast [combat] 金创药\n/use [combat] 2\n/use [combat] 13\n/use [combat] 14\n"
    }
end

T.Class_Bar.MONK = function(player)
    return {
        -- 酒仙
        {
            [1] = {"macro", "火焰"},
            [2] = {"macro", "酒仙"},
            [3] = {"spell", "分筋错骨"},
            [4] = {"macro", "切喉"},
            [5] = player.dash_or_mount,
            [6] = {"spell", "活血术"},
            [7] = {"spell", "真气突"},
            [8] = {"spell", "清创生血"},
            [9] = {"spell", "魂体双分：转移"},
            [10] = {"spell", "魂体双分"},
            [11] = nil,
            [12] = {"spell", "金创药"},
            -- 左下动作条
            [61] = {"macro", "天神"},
            [62] = {"spell", "玄牛雕像"},
            [63] = {"spell", "扫堂腿"},
            [64] = {"macro", "碎玉"},
            [65] = {"spell", "壮胆酒"},
            [66] = {"spell", "玄牛下凡"},
            [67] = {"spell", "禅悟冥想"},
            [68] = {"spell", "轮回之触"},
            [69] = nil,
            [70] = nil,
            [71] = {"macro", "禅意"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 织雾
        {
            [1] = {"macro", "神鹤"},
            [2] = {"macro", "织雾"},
            [3] = {"macro", "旭日"},
            [5] = player.dash_or_mount,
            [7] = {"spell", "真气突"}
        },
        -- 踏风
        {}
    }
end
