local N, T = ...

T.Class_Macro.PALADIN = function(player)
    return {
        ["跑"] = "#showtooltip\n/cast [mounted] !十字军光环\n/use [nocombat,outdoors,spec:1] !大领主的英勇战马\n/use [nocombat,outdoors,spec:2] !大领主的警戒战马\n/use [nocombat,outdoors,spec:3] !大领主的复仇战马\n/cast [combat][indoors] 神圣马驹\n",
        ["防护"] = (function()
            if player.level < 14 then
                -- return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=6 审判,奉献,十字军打击,审判,十字军打击,奉献,审判,十字军打击\n/cast [combat] 正义盾击\n/use [combat] 13\n/use [combat] 14\n/use [combat] 1\n"
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=6 审判,奉献,十字军打击,审判,十字军打击,奉献,审判,十字军打击\n/use [combat] 13\n/use [combat] 14\n/use [combat] 1\n"
            elseif player.level < 23 then
                -- return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=6 审判,奉献,!祝福之锤,审判,!祝福之锤,奉献,审判,!祝福之锤\n/cast [combat] 复仇之怒\n/use [combat] 13\n/use [combat] 14\n/use [combat] 1\n/use [combat] 庆典烟火\n"
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=6 审判,奉献,!祝福之锤,审判,!祝福之锤,奉献,审判,!祝福之锤\n/cast [mod] 清算之手\n/cast [combat] 正义盾击\n/cast [combat] 复仇之怒\n/use [combat] 13\n/use [combat] 14\n/use [combat] 1\n/use [combat] 庆典烟火\n"
            else
                return "#showtooltip\n/cast [noform:2] 虔诚光环\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=6 审判,奉献,!祝福之锤,审判,奉献,!祝福之锤,奉献,审判,!祝福之锤,奉献\n/cast [mod] 清算之手\n/cast [combat] 正义盾击\n/cast [combat] 复仇之怒\n/use [combat] 13\n/use [combat] 14\n"
            end
        end)(),
        ["飞盾"] = player.level < 28 and "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 复仇者之盾\n" or
            "#showtooltip\n/cast [noform:2] 虔诚光环\n/targetenemy [noharm][dead]\n/startattack\n/cast 复仇者之盾\n",
        ["光"] = "#showtooltip\n/cast [@player]荣耀圣令 \n",
        ["斩杀"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 愤怒之锤\n",
        ["惩戒"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=9 审判,十字军打击,奉献,公正之剑,十字军打击\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["神1"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=9 审判,十字军打击,奉献,十字军打击\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["神2"] = "#showtooltip\n/castsequence reset=6 神圣震击,圣光闪现,圣光术,圣光闪现\n",
        ["圣锤"] = "#showtooltip\n/cast [@player] 圣光之锤\n",
    }
end

T.Class_Bar.PALADIN = function(player)
    return {
        -- 神圣
        {},
        -- 防护
        {
            [1] = {"macro", "飞盾"},
            [2] = {"macro", "防护"},
            [3] = {"macro", "光"},
            [4] = {"spell", "责难"},
            [5] = player.dash_or_mount,
            [6] = {"spell", "自由祝福"},
            [7] = {"spell", "神圣马驹"},
            [8] = {"spell", "清毒术"},
            [9] = {"spell", "牺牲祝福"},
            [10] = {"spell", "召唤执事者"},
            [11] = nil,
            [12] = nil,
            -- 左下动作条
            [61] = {"spell", "圣光闪现"},
            [62] = {"spell", "愤怒之锤"},
            [63] = {"spell", "制裁之锤"},
            [64] = nil,
            [65] = {"spell", "炽热防御者"},
            [66] = {"spell", "远古列王守卫"},
            [67] = {"spell", "圣盾术"},
            [68] = {"spell", "保护祝福"},
            [69] = {"spell", "圣疗术"},
            [70] = {"item", "静谧之瓶"},
            [71] = {"spell", "圣洁鸣钟"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 惩戒
        {
            [1] = {"spell", "灰烬觉醒"},
            [2] = {"macro", "惩戒"},
            [3] = {"spell", "神圣风暴"},
            [4] = {"spell", "责难"},
            [5] = player.dash_or_mount,
            [6] = {"spell", "自由祝福"},
            [7] = {"spell", "神圣马驹"},
            [8] = {"spell", "清毒术"},
            [9] = {"spell", "牺牲祝福"},
            [10] = nil,
            [11] = nil,
            [12] = nil,
            -- 左下动作条
            [61] = {"spell", "圣光闪现"},
            [62] = {"spell", "愤怒之锤"},
            [63] = {"spell", "制裁之锤"},
            [64] = nil,
            [65] = {"spell", "复仇之盾"},
            [66] = {"spell", "复仇之怒"},
            [67] = {"spell", "圣盾术"},
            [68] = {"spell", "保护祝福"},
            [69] = {"spell", "圣疗术"},
            [70] = {"spell", "最终清算"},
            [71] = nil,
            [72] = {"spell", player.racial_active_abilitiy}
        }
    }
end

T.Class_Talent.PALADIN = function(player)
    return {
        {3, 1, 1, 2, 2, 2, 2},
        {3, 1, 1, 2, 1, 1, 2},
        {1, 3, 1, 2, 1, 3, 3}
    }
end