local N, T = ...

T.Class_Macro.ROGUE = function(player)
    return {
        -- ["跑"] = "#showtooltip\n/cast [combat][indoors] 疾跑\n/use [noflyable,nocombat,outdoors] !铁箍鬼灵战马\n/use [flyable,nocombat,outdoors,spec:1] !暗影之刃的致命预兆\n/use [flyable,nocombat,outdoors,spec:2] !暗影之刃的猩红预兆\n/use [flyable,nocombat,outdoors,spec:3] !暗影之刃的怨恨预兆\n",
        ["跑"] = "#showtooltip\n/use [nocombat,outdoors] !铁箍鬼灵战马;疾跑\n",
        ["消失"] = "#showtooltip\n/cast 石像形态(种族特长)\n/cast 暗影斗篷\n/cast 闪避\n/cast 消失\n",
        ["刺行"] = "#showtooltip\n/cast [nocombat,nostealth] !潜行\n/cast [stealth] 偷袭\n/cast [combat] 割裂\n",
        -- ["刺杀"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=6 锁喉,毁伤,割裂,毁伤,毁伤,毒伤,毁伤,毁伤,毒伤\n/cast [combat,@focus] 嫁祸诀窍\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["刺杀"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=6 锁喉,刀扇,刀扇,刀扇,刀扇,刀扇,刀扇,刀扇\n/cast [combat,@focus] 嫁祸诀窍\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["脚踢"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 脚踢\n/cast [spec:1] 剧毒之刃\n",
        ["敏行"] = "#showtooltip\n/cast [nocombat] !潜行;割裂\n",
        ["晕"] = "#showtooltip\n/cast [stealth] 偷袭;肾击\n",
        ["敏锐"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast [nomod] 背刺;袖剑风暴\n"
    }
end

T.Class_Bar.ROGUE = function(player)
    return {
        -- 刺杀
        {
            [1] = {"macro", "刺行"},
            [2] = {"macro", "刺杀"},
            [3] = {"spell", "毒伤"},
            [4] = {"macro", "脚踢"},
            [5] = player.dash_or_mount,
            [6] = {"spell", "疾跑"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = nil,
            [12] = nil,
            -- 潜行动作条
            [73] = {"spell", "闷棍"},
            [74] = {"macro", "刺杀"},
            [75] = {"spell", "搜索"},
            [76] = {"spell", "致盲"},
            [77] = player.dash_or_mount,
            [78] = {"spell", "疾跑"},
            [79] = nil,
            [80] = nil,
            [81] = nil,
            [82] = nil,
            [83] = nil,
            [84] = nil,
            -- 左下动作条
            [61] = {"spell", "猩红之瓶"},
            [62] = {"spell", "暗影步"},
            [63] = {"spell", "肾击"},
            [64] = nil,
            [65] = {"spell", "佯攻"},
            [66] = {"spell", "宿敌"},
            [67] = nil,
            [68] = nil,
            [69] = {"spell", "夺命药膏"},
            [70] = {"spell", "减速药膏"},
            [71] = {"macro", "消失"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 狂徒
        {},
        -- 敏锐
        {}
    }
end
