local N, T = ...

T.Class_Macro.DEATHKNIGHT = function(player)
    return {
        -- ["跑"] = "#showtooltip\n/use [nocombat,outdoors] !铁箍鬼灵战马;死亡脚步\n",
        ["跑"] = "#showtooltip\n/use !铁箍鬼灵战马\n",
        ["加速"] = "#showtooltip\n/castsequence [nochanneling,spec:1,talent:5/3] [nochanneling,spec:2,talent:5/2] [nochanneling,spec:3,talent:5/2] reset=45 死亡脚步,幻影步,死亡脚步,幻影步,死亡脚步,死亡脚步,幻影步\n/cast [nochanneling] 死亡脚步\n",
        -- ["血"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nogroup] reset=4 心脏打击,血液沸腾,心脏打击\n/castsequence [group] reset=8 骨髓分裂,血液沸腾,心脏打击,心脏打击,血液沸腾\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        -- ["血"] = player.level > 20 and "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=9 骨髓分裂,血液沸腾,心脏打击,心脏打击,血液沸腾\n/cast [mod] 黑暗命令\n/cast [combat] 符文分流\n/cast [combat] 活力分流\n/use [combat] 13\n/use [combat] 14\n" or "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence [nochanneling] reset=9 骨髓分裂,血液沸腾,心脏打击,心脏打击,血液沸腾\n/cast [combat] 符文分流\n/use [combat] 13\n/use [combat] 14\n/use [combat] 庆典烟火\n",
        ["血"] = (function()
            if player.level < 11 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/cast 心脏打击\n/cast [mod] 黑暗命令\n/cast [combat] 亡者复生\n/use [combat] 13\n/use [combat] 14\n"
            elseif player.level < 17 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=9 骨髓分裂,心脏打击,心脏打击\n/cast [mod] 黑暗命令\n/cast [combat] 亡者复生\n/use [combat] 13\n/use [combat] 14\n"
            elseif player.level < 54 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=9 骨髓分裂,血液沸腾,心脏打击,心脏打击,血液沸腾\n/cast [mod] 黑暗命令\n/cast [combat] 亡者复生\n/use [combat] 13\n/use [combat] 14\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/castsequence reset=9 骨髓分裂,血液沸腾,心脏打击,心脏打击,血液沸腾\n/cast [mod] 黑暗命令\n/use [combat] 13\n/use [combat] 14\n"
            end
        end)(),
        ["血握"] = "#showtooltip\n/cast [@player] 血魔之握\n",
        ["凋零"] = "#showtooltip\n/cast [@player,nochanneling] 枯萎凋零\n",
        -- 符文打击是未选择专精的基础技能
        ["符打"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 符文打击\n/cast [combat] 亡者复生\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["灵打"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 灵界打击\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["死握"] = "#showtooltip\n/cast 死亡之握\n/cast 战争践踏(种族特长)\n",
        ["领域"] = "#showtooltip\n/cast [@player] 反魔法领域\n",
        ["白骨"] = (function()
            if player.level < 34 then
                return "#showtooltip\n/cast 饮血者\n"
            elseif player.level < 50 then
                return "#showtooltip\n/cast 符文刃舞\n"
            elseif player.level < 54 then
                return "#showtooltip\n/castsequence reset=90 白骨风暴,符文刃舞,白骨风暴\n"
            else
                return "#showtooltip\n/castsequence reset=90 白骨风暴,符文刃舞,白骨风暴,亡者复生,牺牲契约\n"
            end
        end)(),
        ["邪"] = (function()
            if player.level < 29 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=combat,6 爆发,暗影之爪\n/cast [combat] 亡者复生\n/use [combat] 13\n/use [combat] 14\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=combat,6 爆发,暗影之爪,暗影之爪\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n"
            end
        end)(),
        ["传染"] = (function()
            if player.level < 34 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 凋零缠绕\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 传染\n"
            end
        end)(),
        ["大便"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 凋零缠绕\n",
        ["邪爆"] = (function()
            if player.level < 29 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=3 脓疮打击,天启\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [@pet,noexists] 亡者复生;黑暗突变\n"
            end
        end)(),
        ["冰"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=combat,6 湮灭,凛风冲击\n/cast [combat] 冰霜之柱\n/cast [combat] 符文武器增效\n/cast [combat] 亡者复生\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n"
    }
end

T.Class_Bar.DEATHKNIGHT = function(player)
    return {
        -- 血
        {
            [1] = {"macro", "凋零"},
            [2] = {"macro", "血"},
            [3] = {"macro", "灵打"},
            [4] = {"spell", "心灵冰冻"},
            [5] = player.dash_or_mount,
            [6] = {"macro", "加速"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = {"spell", "控制亡灵"},
            [12] = {"spell", "冰霜之路"},
            -- 左下动作条
            [61] = {"macro", "白骨"},
            [62] = {"macro", "死握"},
            [63] = {"spell", "窒息"},
            [64] = nil,
            [65] = {"spell", "吸血鬼之血"},
            [66] = {"spell", "巫妖之躯"},
            [67] = {"spell", "冰封之韧"},
            [68] = {"spell", "反魔法护罩"},
            [69] = {"macro", "领域"},
            [70] = {"macro", "血握"},
            [71] = nil,
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 冰
        {
            [1] = {"spell", "冷酷严冬"},
            [2] = {"macro", "冰"},
            [3] = {"macro", "灵打"},
            [4] = {"spell", "心灵冰冻"},
            [5] = player.dash_or_mount,
            [6] = {"macro", "加速"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = {"spell", "控制亡灵"},
            [12] = {"spell", "冰霜之路"},
            -- 左下动作条
            [61] = {"spell", "冰霜巨龙之怒"},
            [62] = {"macro", "死握"},
            [63] = {"spell", "窒息"},
            [64] = nil,
            [65] = {"spell", "吸血鬼之血"},
            [66] = {"spell", "反魔法护罩"},
            [67] = {"spell", "符文刃舞"},
            [68] = {"spell", "冰封之韧"},
            [69] = nil,
            [70] = nil,
            [71] = {"macro", "血握"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 邪
        {
            [1] = {"macro", "传染"},
            [2] = {"macro", "邪"},
            [3] = {"macro", "灵打"},
            [4] = {"spell", "心灵冰冻"},
            [5] = player.dash_or_mount,
            [6] = {"macro", "加速"},
            [7] = nil,
            [8] = {"macro", "凋零"},
            [9] = nil,
            [10] = nil,
            [11] = {"spell", "控制亡灵"},
            [12] = {"spell", "冰霜之路"},
            -- 左下动作条
            [61] = {"macro", "邪爆"},
            [62] = {"macro", "死握"},
            [63] = {"spell", "窒息"},
            [64] = nil,
            [65] = {"spell", "反魔法护罩"},
            [66] = {"spell", "冰封之韧"},
            [67] = {"spell", "召唤石像鬼"},
            [68] = {"spell", "亡者大军"},
            [69] = nil,
            [70] = nil,
            [71] = nil,
            [72] = {"spell", player.racial_active_abilitiy}
        },
        [5] = {
            [1] = {"macro", "凋零"},
            [2] = {"macro", "符打"},
            [3] = {"macro", "灵打"},
            [4] = {"spell", "心灵冰冻"},
            [5] = player.dash_or_mount,
            [6] = nil,
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = nil,
            [12] = {"spell", player.racial_active_abilitiy},
            -- 左下动作条
            [61] = nil,
            [62] = {"spell", "死亡之握"}
        }
    }
end
