local N, T = ...

T.Class_Macro.HUNTER = function(player)
    return {
        -- ["跑"] = "#showtooltip\n/stopattack\n/stopattack\n/petfollow\n/cast [combat][indoors] 猎豹守护\n/use [nocombat,outdoors,spec:1] !狩猎大师的忠诚狼鹰\n/use [nocombat,outdoors,spec:2] !狩猎大师的恐怖狼鹰\n/use [nocombat,outdoors,spec:3] !狩猎大师的凶猛狼鹰\n",
        ["跑"] = "#showtooltip\n/stopattack\n/stopattack\n/petfollow\n/use [nocombat,nomounted,outdoors] 布尔吉·黑心的时装帽\n/use [spec:1] !狩猎大师的忠诚狼鹰\n/use [spec:2] !狩猎大师的恐怖狼鹰\n/use [spec:3] !狩猎大师的凶猛狼鹰\n",
        ["逃脱"] = "#showtooltip\n/stopattack\n/stopattack\n/petfollow\n/cast 逃脱\n/cast [combat,@player] 冰冻陷阱\n",
        -- ["鹰眼"] = "#showtooltip\n/cast !鹰眼术\n",
        -- ["兽王"] = player.level < 37 and "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=6 杀戮命令,倒刺射击,!眼镜蛇射击,!治疗宠物,!杀戮命令,眼镜蛇射击,眼镜蛇射击\n/cast [combat] 野性守护\n/cast [combat,@pet] 误导\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n" or "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=6 杀戮命令,多重射击,治疗宠物,倒刺射击,杀戮命令,多重射击,眼镜蛇射击,宁神射击\n/cast [combat] 野性守护\n/cast [combat,@pet] 误导\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        -- ["双龙"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 奇美拉射击\n",
        ["夺命"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 夺命射击\n",
        ["兽王"] = (function()
            if player.level < 11 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=4 杀戮命令,稳固射击,稳固射击,稳固射击\n"
            elseif player.level < 12 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=4 杀戮命令,稳固射击,奥术射击,稳固射击\n"
            elseif player.level < 14 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=4 杀戮命令,奥术射击,奥术射击\n"
            else
                -- return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence [nomod] reset=3 杀戮命令,眼镜蛇射击,眼镜蛇射击\n/cast [mod] 多重射击\n/cast [combat] 野性守护\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n"
                return "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence [nomod] reset=3 杀戮命令,眼镜蛇射击,眼镜蛇射击\n/cast [mod] 多重射击\n/cast [combat] 野性守护\n/cast [combat,@pet] 误导\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n"
            end
        end)(),
        ["倒刺"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 倒刺射击\n/use [combat] 庆典烟火\n",
        ["灵魂"] = "#showtooltip\n/cast [@player] 灵魂治愈(稀有技能)\n",
        ["震荡"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 震荡射击\n",
        ["弹幕"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [nochanneling] 弹幕射击\n",
        ["奥术"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [nomod,nochanneling] 奥术射击\n/cast [mod,nochanneling] 多重射击\n",
        ["稳固"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [nochanneling] 稳固射击\n",
        ["多重"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [nochanneling] 多重射击\n",
        -- ["瞄准"] = "#showtooltip\n/targetenemy [noharm][dead]\n/stopattack\n/petattack\n/castsequence [nochanneling] reset=10 瞄准射击,奥术射击,急速射击,瞄准射击,奥术射击\n",
        ["生2"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=combat,3 毒蛇钉刺,稳固射击,奥术射击,杀戮命令,稳固射击,奥术射击,稳固射击,杀戮命令\n/equip 精致的上古骨弓\n",
        ["生3"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence reset=combat,3 猛禽一击,杀戮命令\n/cast 鱼叉猛刺\n/equip 抛光的典狱官法杖\n",
        ["杀戮"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 杀戮命令\n",
        ["野火"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 野火炸弹\n",
        ["射击"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence [talent:1/2] reset=6,target,combat 毒蛇钉刺,稳固射击,奥术射击,稳固射击,奥术射击,稳固射击\n/cast [notalent:1/2] 奥术射击\n",
        ["射爆"] = (function()
            if player.level < 20 then
                return "#showtooltip\n/targetenemy [noharm][dead]\n/cast 瞄准射击\n"
            else
                return "#showtooltip\n/targetenemy [noharm][dead]\n/castsequence [nochanneling] reset=15 瞄准射击,瞄准射击,急速射击\n"
            end
        end)()
    }
end

T.Class_Bar.HUNTER = function(player)
    return {
        -- 野兽控制
        {
            [1] = {"spell", "复活宠物"},
            [2] = {"macro", "兽王"},
            [3] = {"macro", "倒刺"},
            [4] = {"spell", "反制射击"},
            [5] = player.dash_or_mount,
            [6] = {"macro", "逃脱"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = {"flyout", "宠物管理"},
            [12] = {"flyout", "召唤宠物"},
            -- 左下动作条
            [61] = {"spell", "狂野怒火"},
            [62] = {"spell", "夺命射击"},
            [63] = {"spell", "胁迫"},
            [64] = nil,
            [65] = {"macro", "灵魂"},
            [66] = {"spell", "意气风发"},
            [67] = {"spell", "灵龟守护"},
            [68] = nil,
            [69] = {"spell", "装死"},
            [70] = {"spell", "假死"},
            [71] = {"spell", "猎豹守护"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 射击
        {
            [1] = {"spell", "复活宠物"},
            [2] = {"macro", "射击"},
            [3] = {"macro", "稳固"},
            [4] = {"spell", "反制射击"},
            [5] = player.dash_or_mount,
            [6] = {"macro", "逃脱"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = {"flyout", "宠物管理"},
            [12] = {"flyout", "召唤宠物"},
            -- 左下动作条
            [61] = {"macro", "射爆"},
            [62] = {"macro", "震荡"},
            [63] = nil,
            [64] = nil,
            [65] = {"spell", "意气风发"},
            [66] = {"spell", "灵龟守护"},
            [67] = nil,
            [68] = nil,
            [69] = {"spell", "装死"},
            [70] = {"spell", "假死"},
            [71] = {"spell", "猎豹守护"},
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 生存
        {
            [1] = {"spell", "复活宠物"},
            [2] = {"macro", "生2"},
            [3] = {"macro", "生3"},
            [4] = {"spell", "压制"},
            [5] = player.dash_or_mount,
            [6] = {"macro", "逃脱"},
            [7] = nil,
            [8] = nil,
            [9] = nil,
            [10] = nil,
            [11] = {"flyout", "宠物管理"},
            [12] = {"flyout", "召唤宠物"},
            -- 左下动作条
            [61] = {"macro", "野火"},
            [62] = nil,
            [63] = nil,
            [64] = nil,
            [65] = {"spell", "意气风发"},
            [66] = {"spell", "灵龟守护"},
            [67] = nil,
            [68] = nil,
            [69] = {"spell", "装死"},
            [70] = {"spell", "假死"},
            [71] = {"spell", "猎豹守护"},
            [72] = {"spell", player.racial_active_abilitiy}
        }
    }
end
