local N, T = ...

T.Class_Macro.WARLOCK = function(player)
    return {
        ["跑"] = "#showtooltip\n/use [nocombat,outdoors] !铁箍鬼灵战马;爆燃冲刺\n",
        ["吸血"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [nochanneling:吸取生命] 吸取生命\n",
        ["暗箭"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [nochanneling:吸取灵魂] 暗影箭\n",
        ["痛苦"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/castsequence [talent:2/3] reset=target,combat,6 痛楚,生命虹吸,腐蚀术\n/castsequence reset=target,combat,12 痛楚,痛苦无常\n/use [combat] 13\n/use [combat] 14\n/use [combat] 改装的邪能焦镜\n/use [combat] 奥拉留斯的低语水晶\n",
        ["腐蚀"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast 腐蚀术\n",
        ["腐种"] = "#showtooltip\n/targetenemy [noharm][dead]\n/startattack\n/petattack\n/cast [talent:4/2] 诡异魅影\n/cast [talent:4/3] 邪恶污染\n/cast [notalent:4/2,notalent:4/3] 腐蚀之种\n"
    }
end

T.Class_Bar.WARLOCK = function(player)
    return {
        -- 痛苦
        {
            [1] = {"macro", "暗箭"},
            [2] = {"macro", "痛苦"},
            [3] = {"macro", "腐种"},
            [4] = nil,
            [5] = player.dash_or_mount,
            [6] = {"spell", "生命通道"},
            [7] = nil,
            [8] = nil,
            [9] = {"spell", "灵魂石"},
            [10] = {"spell", "制造灵魂之井"},
            [11] = {"spell", "邪能统御"},
            [12] = {"flyout", "召唤恶魔"},
            -- 左下动作条
            [61] = {"macro", "吸血"},
            [62] = {"spell", "恐惧"},
            [63] = {"spell", "暗影之怒"},
            [64] = nil,
            [65] = {"spell", "不灭决心"},
            [66] = {"spell", "召唤黑眼"},
            [67] = nil,
            [68] = nil,
            [69] = nil,
            [70] = nil,
            [71] = nil,
            [72] = {"spell", player.racial_active_abilitiy}
        },
        -- 恶魔
        {},
        -- 毁灭
        {}
    }
end
